package it.unibas.acibase.modello;

import java.util.*;

public class Automobile {

    private String targa;
    private int cilindrata;
    private String modello;
    private String codiceFiscaleProprietario;
    private Proprietario proprietario;

    public void setTarga(String targa){
        this.targa = targa;
    }

    public String getTarga(){
        return this.targa;
    }

    public void setCilindrata(int cilindrata){
        this.cilindrata = cilindrata;
    }

    public int getCilindrata(){
        return this.cilindrata;
    }

    public void setModello(String modello){
        this.modello = modello;
    }

    public String getModello(){
        return this.modello;
    }

    public void setCodiceFiscaleProprietario(String codiceFiscaleProprietario){
        this.codiceFiscaleProprietario = codiceFiscaleProprietario;
    }
    
    public String getCodiceFiscaleProprietario(){
        return this.codiceFiscaleProprietario;
    }

    public void setProprietario(Proprietario proprietario){
        if (proprietario != null) {
            this.proprietario = proprietario;
            this.codiceFiscaleProprietario = proprietario.getCodiceFiscale();
        }
    }
    
    public Proprietario getProprietario(){
        return this.proprietario;
    }

}



