package it.unibas.acibase.test;

import it.unibas.acibase.persistenza.DAOException;
import it.unibas.acibase.persistenza.DataSource;
import java.sql.Connection;
import junit.framework.TestCase;

public class TestDataSource extends TestCase {
    
    private DataSource dataSource;
    
    protected void setUp() {
        dataSource = DataSource.getInstance();
    }
    
    public void testGetConnection() {
        assertTrue("data source non nulla", dataSource != null);
        Connection connection = null;
        try {
            connection = dataSource.getConnection();
            assertTrue("connessione non nulla", connection != null);     
        } catch (DAOException sqle) {
            System.out.println(sqle);
            fail();
        } finally {
            dataSource.close(connection);
        }
    }
    
}
